File Server Resource Manager

File Server Resource Manager is a suite of tools for Windows Server® 2008 that allows administrators to understand, control, and manage the quantity and type of data that is stored on their servers. By using File Server Resource Manager, administrators can place quotas on folders and volumes, actively screen files, and generate comprehensive storage reports. This set of advanced instruments not only helps the administrator efficiently monitor existing storage resources, but it also aids in the planning and implementation of future policy changes.

  • Setting File Server Resource Manager Options Information about configuring general notification and reporting options before working with File Server Resource Manager.

  • Quota Management Information about creating quotas that set a soft or hard space limit on a volume or folder tree.

  • File Screening Management Information about creating file screening rules that block files from a volume or a folder tree.

  • Storage Reports Management Information about generating storage reports that can be used to monitor disk usage patterns, identify duplicate files and dormant files, track quota usage, and audit file screening.

  • Managing Remote Storage Resources Information about performing resource management tasks on a remote computer where File Server Resource Manager is also installed.

  • Troubleshooting File Server Resource Manager Instructions for problem solving.


Checklist: Apply a Quota to a Volume or Folder

Step | Reference
Configure e-mail settings if you plan to send threshold notifications or storage reports by e-mail. | Configure E-Mail Notifications
Assess storage requirements on the volume or folder. You can use reports on the Storage Reports Management node to provide data. (For example, run a Files by Owner report on demand to identify users who use large amounts of disk space.) | Generate Reports on Demand
Review available preconfigured quota templates. (In Quota Management, click the Quota Templates node.) -Or- Create a new quota template to enforce a storage policy in your organization. | Edit Quota Template Properties -Or- Create a Quota Template
Create a quota based on the template on the volume or folder. -Or- Create an auto apply quota to automatically generate quotas for subfolders on the volume or folder. | Create a Quota -Or- Create an Auto Apply Quota
Schedule a report task that contains a Quota Usage report to monitor quota usage periodically. | Schedule a Set of Reports
Note

If you want to screen files on a volume or folder, see Checklist: Apply a File Screen to a Volume or Folder.


Checklist: Apply a File Screen to a Volume or Folder

Step | Reference
Configure e-mail settings if you plan to send file screening notifications or storage reports by e-mail. | Configure E-Mail Notifications
Enable recording of file screening events in the auditing database if you plan to generate File Screening Audit reports. | Configure File Screen Audit
Assess stored file types that are candidates for screening rules. You can use reports at the Storage Reports Management node to provide data. (For example, run a Files by File Group report or a Large Files report on demand to identify files that occupy large amounts of disk space.) | Generate Reports on Demand
Review the preconfigured file groups, or create a new file group to enforce a specific screening policy in your organization. | Define File Groups for Screening
Review the properties of available file screen templates. (In File Screening Management, click the File Screen Templates node.) -Or- Create a new file screen template to enforce a storage policy in your organization. | Edit File Screen Template Properties -Or- Create a File Screen Template
Create a file screen based on the template on a volume or folder. | Create a File Screen
Configure file screen exceptions in subfolders of the volume or folder. | Create a File Screen Exception
Schedule a report task containing a File Screening Audit report to monitor screening activity periodically. | Schedule a Set of Reports
Note

If you want to limit storage on a volume or folder, see Checklist: Apply a Quota to a Volume or Folder.


Setting File Server Resource Manager Options

The general File Server Resource Manager options can be set in the File Server Resource Manager Options dialog box. These settings are used throughout the nodes, and some of them can be modified when you work with quotas, screen files, or generate storage reports.

This section includes the following topics:

  • Configure E-Mail Notifications

  • Configure Notification Limits

  • Configure Storage Reports

  • Configure Report Locations

  • Configure File Screen Audit


Configure E-Mail Notifications

When you create quotas and file screens, you have the option of sending e-mail notifications to users when their quota limit is approaching or after they have attempted to save files that have been blocked. When you generate storage reports, you have the option of sending the reports to specific recipients by e-mail. If you want to routinely notify certain administrators about quota and file screening events, or send storage reports, you can configure one or more default recipients.

To send these notifications and storage reports, you must specify the SMTP server to be used for forwarding the e-mail messages.

To configure e-mail options

  1. In the console tree, right-click File Server Resource Manager, and then click Configure Options. The File Server Resource Manager Options dialog box opens.

  2. On the E-mail Notifications tab, under SMTP server name or IP address, type the host name or the IP address of the SMTP server that will forward e-mail notifications and storage reports.

  3. If you want to routinely notify certain administrators about quota or file screening events or e-mail storage reports, under Default administrator recipients, type each e-mail address.

    Use the format account@domain. Use semicolons to separate multiple accounts.

  4. To specify a different "From" address for e-mail notifications and storage reports sent from File Server Resource Manager, under Default "From" e-mail address, type the e-mail address that you want to appear in your message.

  5. To test your settings, click Send Test E-mail.

  6. Click OK.

Additional references

  • Setting File Server Resource Manager Options


Configure Notification Limits

To reduce the number of notifications that accumulate for repeatedly exceeding a quota threshold or attempting to save an unauthorized file, File Server Resource Manager applies time limits to the following notification types:

  • E-mail

  • Event log

  • Command

  • Report

Each limit specifies a period of time before another configured notification of the same type is generated for an identical issue.

A default 60-minute limit is set for each notification type, but you can change these limits. The limit applies to all the notifications of a given type, whether they are generated by quota thresholds or by file screening events.

To specify a standard notification limit for each notification type

  1. In the console tree, right-click File Server Resource Manager, and then click Configure Options. The File Server Resource Manager Options dialog box opens.

  2. On the Notification Limits tab, enter a value in minutes for each notification type that is shown.

  3. Click OK.
Note

To customize time limits that are associated with notifications for a specific quota or file screen, you can use the File Server Resource Manager command-line tools Dirquota.exe and Filescrn.exe.

Additional references

  • Setting File Server Resource Manager Options

  • Command-Line Tools


Configure Storage Reports

You can configure the default parameters for storage reports. These default parameters are used for the incident reports that are generated when a quota or file screening event occurs. They are also used for scheduled and on-demand reports, and you can override the default parameters when you define the specific properties of these reports.

Important

When you change the default parameters for a type of report, changes affect all incident reports and any existing scheduled report tasks that use the defaults.

To configure the default parameters for storage reports

  1. In the console tree, right-click File Server Resource Manager, and then click Configure Options. The File Server Resource Manager Options dialog box opens.

  2. On the Storage Reports tab, under Configure default parameters, select the type of report that you want to modify.

  3. Click Edit Parameters.

  4. Depending on the type of report that you select, different report parameters will be available for editing. Perform all necessary modifications, and then click OK to save them as the default parameters for that type of report.

  5. Repeat steps 2 through 4 for each type of report that you want to edit.

    To see a list of the default parameters for all reports, click Review Reports. Then click Close.

  6. Click OK.

Additional references

  • Setting File Server Resource Manager Options

  • Storage Reports Management


Configure Report Locations

You can specify the disk location where storage reports will be saved. A default path has been defined, but it can be changed. There are three types of reports:

Report type | Description
Incident reports | Generated automatically when a quota or file screening event occurs.
Scheduled reports | Generated when there is a report task defined in the Storage Reports Management node.
On-demand reports | Generated manually from the Storage Reports Management node when you click Generate Reports Now.
To change the report locations

  1. In the console tree, right-click File Server Resource Manager, and then click Configure Options. The File Server Resource Manager Options dialog box opens.

  2. On the Report Locations tab, type the path or browse to the location where you want each of the report types to be saved.

  3. Click OK.

Additional references

  • Setting File Server Resource Manager Options

  • Storage Reports Management


Configure File Screen Audit

By using File Server Resource Manager, you can record file screening activity in an auditing database. The information saved in this database is used to generate the File Screening Audit report.

Important

If the Record file screening activity in the auditing database check box is cleared, the File Screening Audit Reports will not contain any information.

To configure file screen audit

  1. In the console tree, right-click File Server Resource Manager, and then click Configure Options. The File Server Resource Manager Options dialog box opens.

  2. On the File Screen Audit tab, select the Record file screening activity in the auditing database check box.

  3. Click OK. All file screening activity will now be stored in the auditing database, and it can be viewed by running a File Screening Audit report.

Additional references

  • Setting File Server Resource Manager Options

  • Storage Reports Management


Quota Management

On the Quota Management node of the File Server Resource Manager Microsoft® Management Console (MMC) snap-in, you can perform the following tasks:

  • Create quotas to limit the space allowed for a volume or folder, and generate notifications when the quota limits are approached or exceeded.

  • Generate auto apply quotas that apply to all existing subfolders in a volume or folder and to any subfolders that are created in the future.

  • Define quota templates that can be easily applied to new volumes or folders and then used across an organization.

For example, you can:

  • Place a 200 megabyte (MB) limit on users' personal server folders, with a notification to you and the user when 180 MB of storage has been exceeded.

  • Set a flexible 500 MB quota on a group's shared folder. When this storage limit is reached, all users in the group are notified by e-mail that the storage quota has been temporarily extended to 520 MB so that they can delete unnecessary files and comply with the preset 500 MB quota policy.

  • Receive a notification when a temporary folder reaches 2 gigabytes (GB) of usage, yet not limit that folder's quota because it is necessary for a service running on your server.

This section includes the following topics:

  • Create a Quota

  • Create an Auto Apply Quota

  • Create a Quota Template

  • Edit Quota Template Properties

  • Edit Auto Apply Quota Properties

Note

To set e-mail notifications and reporting capabilities, you must first configure the general File Server Resource Manager options.

Additional references

  • Setting File Server Resource Manager Options


Create a Quota

Quotas can be created from a template or with custom properties. The following procedure describes how to create a quota that is based on a template (recommended). If you need to create a quota with custom properties, you can save these properties as a template to reuse at a later date.

When you create a quota, you choose a quota path, which is a volume or folder that the storage limit applies to. On a given quota path, you can use a template to create one of the following types of quota:

  • A single quota that limits the space for an entire volume or folder.

  • An auto apply quota, which assigns the quota template to a folder or volume. Quotas based on this template are automatically generated and applied to all subfolders. For more information about creating auto apply quotas, see Create an Auto Apply Quota.

Note

By creating quotas exclusively from templates, you can centrally manage your quotas by updating the templates instead of the individual quotas. Then, you can apply changes to all quotas based on the modified template. This feature simplifies the implementation of storage policy changes by providing one central point where all updates can be made.

To create a quota that is based on a template

  1. In Quota Management, click the Quota Templates node.

  2. In the Results pane, select the template on which you will base your new quota.

  3. Right-click the template and click Create Quota from Template (or select Create Quota from Template from the Actions pane). This opens the Create Quota dialog box with the summary properties of the quota template displayed.

  4. Under Quota path, type or browse to the folder that the quota will apply to.

  5. Click the Create quota on path option. Note that the quota properties will apply to the entire folder.

    Note

    To create an auto apply quota, click the Auto apply template and create quotas on existing and new subfolders option. For more information about auto apply quotas, see Create an Auto Apply Quota.

  6. Under Derive properties from this quota template, the template you used in step 2 to create your new quota is preselected (or you can select another template from the list). Note that the template's properties are displayed under Summary of quota properties.

  7. Click Create.

Additional references

  • Quota Management

  • Create an Auto Apply Quota

  • Create a Quota Template


Create an Auto Apply Quota

By using auto apply quotas, you can assign a quota template to a parent volume or folder. Then File Server Resource Manager automatically generates quotas that are based on that template. Quotas are generated for each of the existing subfolders and for subfolders that you create in the future.

For example, you can define an auto apply quota for subfolders that are created on demand, for roaming profile users, or for new users. Every time a subfolder is created, a new quota entry is automatically generated by using the template from the parent folder. These automatically generated quota entries can then be viewed as individual quotas under the Quotas node. Each quota entry can be maintained separately.

To create an auto apply quota

  1. In Quota Management, click the Quotas node.

  2. Right-click Quotas, and then click Create Quota (or select Create Quota from the Actions pane). This opens the Create Quota dialog box.

  3. Under Quota path, type the name of or browse to the parent folder that the quota profile will apply to. The auto apply quota will be applied to each of the subfolders (current and future) in this folder.

  4. Click Auto apply template and create quotas on existing and new subfolders.

  5. Under Derive properties from this quota template, select the quota template that you want to apply from the drop-down list. Note that each template's properties are displayed under Summary of quota properties.

  6. Click Create.
Note

You can verify all automatically generated quotas by selecting the Quotas node and then selecting Refresh. An individual quota for each subfolder and the auto apply quota profile in the parent volume or folder are listed.

Additional references

  • Quota Management

  • Edit Auto Apply Quota Properties


Create a Quota Template

A quota template defines a space limit, the type of quota (hard or soft), and (optionally) a set of notifications that will be generated automatically when quota usage reaches defined threshold levels.

By creating quotas exclusively from templates, you can centrally manage your quotas by updating the templates instead of replicating changes in each quota. This feature simplifies the implementation of storage policy changes by providing one central point where you can make all updates.

To create a quota template

  1. In Quota Management, click the Quota Templates node.

  2. Right-click Quota Templates, and then click Create Quota Template (or select Create Quota Template from the Actions pane). This opens the Create Quota Template dialog box.

  3. If you want to copy the properties of an existing template to use as a base for your new template, select a template from the Copy properties from quota template drop-down list. Then click Copy.

    Whether you have chosen to use the properties of an existing template or you are creating a new template, modify or set the following values on the Settings tab:

  4. In the Template Name text box, enter a name for the new template.

  5. In the Label text box, enter an optional descriptive label that will appear next to any quotas derived from the template.

  6. Under Space Limit:

    • In the Limit text box, enter a number and choose a unit (KB, MB, GB, or TB) to specify the space limit for the quota.

    • Click the Hard quota or Soft quota option. (A hard quota prevents users from saving files after the space limit is reached and generates notifications when the volume of data reaches each configured threshold. A soft quota does not enforce the quota limit, but it generates all configured notifications.)

  7. You can configure one or more optional threshold notifications for your quota template, as described in the procedure that follows. After you have selected all the quota template properties that you want to use, click OK to save the template.

Setting optional notification thresholds

When storage in a volume or folder reaches a threshold level that you define, File Server Resource Manager can send e-mail messages to administrators or specific users, log an event, execute a command or a script, or generate reports. You can configure more than one type of notification for each threshold, and you can define multiple thresholds for any quota (or quota template). By default, no notifications are generated.

For example, you could configure thresholds to send an e-mail message to the administrator and the users who would be interested to know when a folder reaches 85 percent of its quota limit, and then send another notification when the quota limit is reached. Additionally, you might want to run a script that uses the dirquota.exe command to raise the quota limit automatically when a threshold is reached.

Important

To send e-mail notifications and configure the storage reports with parameters that are appropriate for your server environment, you must first set the general File Server Resource Manager options (for more information, see Setting File Server Resource Manager Options).

To configure notifications that File Server Resource Manager will generate at a quota threshold

  1. In the Create Quota Template dialog box, under Notification thresholds, click Add. The Add Threshold dialog box appears.

  2. To set a quota limit percentage that will generate a notification:

    In the Generate notifications when usage reaches (%) text box, enter a percentage of the quota limit for the notification threshold. (The default percentage for the first notification threshold is 85 percent.)

  3. To configure e-mail notifications:

    On the E-mail Message tab, set the following options:

    • To notify administrators when a threshold is reached, select the Send e-mail to the following administrators check box, and then enter the names of the administrative accounts that will receive the notifications. Use the format account@domain, and use semicolons to separate multiple accounts.

    • To send e-mail to the person who saved the file that reached the quota threshold, select the Send e-mail to the user who exceeded the threshold check box.

    • To configure the message, edit the default subject line and message body that are provided. The text that is in brackets inserts variable information about the quota event that caused the notification. For example, the [Source Io Owner] variable inserts the name of the user who saved the file that reached the quota threshold. To insert additional variables in the text, click Insert Variable.

    • To configure additional headers (including From, Cc, Bcc, and Reply-to), click Additional E-mail Headers.

  4. To log an event:

    On the Event Log tab, select the Send warning to event log check box, and edit the default log entry.

  5. To run a command or script:

    On the Command tab, select the Run this command or script check box. Then type the command, or click Browse to search for the location where the script is stored. You can also enter command arguments, select a working directory for the command or script, or modify the command security setting.

  6. To generate one or more storage reports:

    On the Report tab, select the Generate reports check box, and then select which reports to generate. (You can choose one or more administrative e-mail recipients for the report or e-mail the report to the user who reached the threshold.)

    The report is saved in the default location for incident reports, which you can modify in the File Server Resource Manager Options dialog box.

  7. Click OK to save your notification threshold.

  8. Repeat these steps if you want to configure additional notification thresholds for the quota template.

Additional references

  • Quota Management

  • Setting File Server Resource Manager Options

  • Edit Quota Template Properties

  • Command-Line Tools


Edit Quota Template Properties

When you make changes to a quota template, you have the option of extending those changes to quotas that were created from the original quota template. You can choose to modify only those quotas that still match the original template or all quotas that were derived from the original template, regardless of any modifications that were made to the quotas since they were created. This feature simplifies the process of updating the properties of your quotas by providing one central point where you can make all the changes.

Note

If you choose to apply the changes to all quotas that were derived from the original template, you will overwrite any custom quota properties that you created.

To edit quota template properties

  1. In Quota Templates, select the template that you want to modify.

  2. Right-click the quota template, and then click Edit Template Properties (or in the Actions pane, under Selected Quota Templates, select Edit Template Properties). This opens the Quota Template Properties dialog box.

  3. Perform all necessary changes. The settings and notification options are identical to those that you can set when you create a quota template. Optionally, you can copy the properties from a different template and modify them for this one.

  4. When you are finished editing the template properties, click OK. This will open the Update Quotas Derived from Template dialog box.

  5. Select the type of update that you want to apply:

    • If you have quotas that have been modified since they were created with the original template, and you do not want to change them, select Apply template only to derived quotas that match the original template. This option will update only those quotas that have not been edited since they were created with the original template.

    • If you want to modify all existing quotas that were created from the original template, select Apply template to all derived quotas.

    • If you want to keep the existing quotas unchanged, select Do not apply template to derived quotas.

  6. Click OK.

Additional references

  • Quota Management

  • Create a Quota Template


Edit Auto Apply Quota Properties

When you make changes to an auto apply quota, you have the option of extending those changes to existing quotas in the auto apply quota path. You can choose to modify only those quotas that still match the original auto apply quota or all quotas in the auto apply quota path, regardless of any modifications that were made to the quotas since they were created. This feature simplifies the process of updating the properties of quotas that were derived from an auto apply quota by providing one central point where you can make all the changes.

Note

If you choose to apply the changes to all quotas in the auto apply quota path, you will overwrite any custom quota properties that you created.

To edit an auto apply quota

  1. In Quotas, select the auto apply quota that you want to modify. You can filter the quotas to show only auto apply quotas.

  2. Right-click the quota entry, and then click Edit Quota Properties (or in the Actions pane, under Selected Quotas, select Edit Quota Properties). This opens the Edit Auto Apply Quota dialog box.

  3. Under Derive properties from this quota template, select the quota template that you want to apply. You can review the properties of each quota template in the summary list box.

  4. Click OK. This will open the Update Quotas Derived from Auto Apply Quota dialog box.

  5. Select the type of update that you want to apply:

    • If you have quotas that have been modified since they were automatically generated, and you do not want to change them, select Apply auto apply quota only to derived quotas that match the original auto apply quota. This option will update only those quotas in the auto apply quota path that have not been edited since they were automatically generated.

    • If you want to modify all existing quotas in the auto apply quota path, select Apply auto apply quota to all derived quotas.

    • If you want to keep the existing quotas unchanged but make the modified auto apply quota effective for new subfolders in the auto apply quota path, select Do not apply auto apply quota to derived quotas.

  6. Click OK.

Additional references

  • Quota Management

  • Create an Auto Apply Quota


File Screening Management

On the File Screening Management node of the File Server Resource Manager MMC snap-in, you can perform the following tasks:

  • Create file screens to control the types of files that users can save, and generate notifications when users attempt to save unauthorized files.

  • Define file screening templates that can be applied to new volumes or folders and that can be used across an organization.

  • Create file screening exceptions that extend the flexibility of the file screening rules.

For example, you can:

  • Ensure that no music files are stored on personal folders on a server—yet you could allow storage of specific types of media files that support legal rights management or comply with company policies. In the same scenario, you might want to give a vice president in the company special privileges to store any type of files in his personal folder.

  • Implement a screening process to notify you by e-mail when an executable file is stored on a shared folder, including information about the user who stored the file and the exact location of the file, so that you can take the appropriate precautionary steps.

This section includes the following topics:

  • Define File Groups for Screening

  • Create a File Screen

  • Create a File Screen Exception

  • Create a File Screen Template

  • Edit File Screen Template Properties

Note

To set e-mail notifications and certain reporting capabilities, you must first configure the general File Server Resource Manager options.

Additional references

  • Setting File Server Resource Manager Options


Define File Groups for Screening

A file group is used to define a namespace for a file screen, file screen exception, or Files by File Group storage report. It consists of a set of file name patterns, which are grouped by the following:

  • Files to include: files that belong in the group

  • Files to exclude: files that do not belong in the group

Note

For convenience, you can create and edit file groups while you edit the properties of file screens, file screen exceptions, file screen templates, and Files by File Group reports. Any file group changes that you make from these property sheets are not limited to the current item that you are working on.

To create a file group

  1. In File Screening Management, click the File Groups node.

  2. On the Actions pane, click Create File Group. This opens the Create File Group Properties dialog box.

    (Alternatively, while you edit the properties of a file screen, file screen exception, file screen template, or Files by File Group report, under Maintain file groups, click Create.)

  3. In the Create File Group Properties dialog box, type a name for the file group.

  4. Add files to include and files to exclude:

    • For each set of files that you want to include in the file group, in the Files to include box, enter a file name pattern, and then click Add.

    • For each set of files that you want to exclude from the file group, in the Files to exclude box, enter a file name pattern, and then click Add.

      Note that standard wildcard rules apply—for example, *.exe selects all executable files.

  5. Click OK.

Additional references

  • File Screening Management

  • Create a File Screen

  • Create a File Screen Exception

  • Create a File Screen Template

  • Storage Reports Management


Create a File Screen

When creating a new file screen, you can choose to save a file screen template that is based on the custom file screen properties that you define. The advantage of this is that a link is maintained between file screens and the template that is used to create them, so that in the future, changes to the template can be applied to all file screens that derive from it. This is a feature that simplifies the implementation of storage policy changes by providing one central point where you can make all updates.

To create a file screen with custom properties

  1. In File Screening Management, click the File Screens node.

  2. Right-click File Screens, and click Create File Screen (or select Create File Screen from the Actions pane). This opens the Create File Screen dialog box.

  3. Under File screen path, type the name of or browse to the folder that the file screen will apply to. The file screen will apply to the selected folder and all of its subfolders.

  4. Under How do you want to configure file screen properties, click Define custom file screen properties, and then click Custom Properties. This opens the File Screen Properties dialog box.

  5. If you want to copy the properties of an existing template to use as a base for your file screen, select a template from the Copy properties from template drop-down list. Then click Copy.

    In the File Screen Properties dialog box, modify or set the following values on the Settings tab:

  6. Under Screening type, click the Active screening or Passive screening option. (Active screening prevents users from saving files that are members of blocked file groups and generates notifications when users try to save unauthorized files. Passive screening sends configured notifications, but it does not prevent users from saving files.)

  7. Under File groups, select each file group that you want to include in your file screen. (To select the check box for the file group, double-click the file group label.)

    If you want to view the file types that a file group includes and excludes, click the file group label, and then click Edit. To create a new file group, click Create.

  8. Additionally, you can configure File Server Resource Manager to generate one or more notifications by setting options on the E-mail Message, Event Log, Command, and Report tabs. For more information about file screen notification options, see Create a File Screen Template.

  9. After you have selected all the file screen properties that you want to use, click OK to close the File Screen Properties dialog box.

  10. In the Create File Screen dialog box, click Create to save the file screen. This opens the Save Custom Properties as a Template dialog box.

  11. Select the type of custom file screen you want to create:

    • To save a template that is based on these customized properties (recommended), click Save the custom properties as a template and enter a name for the template. This option will apply the template to the new file screen, and you can use the template to create additional file screens in the future. This will enable you to later update the file screens automatically by updating the template.

    • If you do not want to save a template when you save the file screen, click Save the custom file screen without creating a template.

  12. Click OK.

Additional references

  • File Screening Management

  • Define File Groups for Screening

  • Create a File Screen Template

  • Edit File Screen Template Properties


Create a File Screen Exception

Occasionally, you need to allow exceptions to file screening. For example, you might want to block video files from a file server, but you need to allow your training group to save the video files for their computer-based training. To allow files that other file screens are blocking, create a file screen exception.

A file screen exception is a special type of file screen that overrides any file screening that would otherwise apply to a folder and all its subfolders in a designated exception path. That is, it creates an exception to any rules derived from a parent folder.

Note

You cannot create a file screen exception on a parent folder where a file screen is already defined. You must assign the exception to a subfolder or make changes to the existing file screen.

You assign file groups to determine which file types will be allowed in the file screen exception.

To create a file screen exception

  1. In File Screening Management, click the File Screens node.

  2. Right-click File Screens, and click Create File Screen Exception (or select Create File Screen Exception from the Actions pane). This opens the Create File Screen Exception dialog box.

  3. In the Exception path text box, type or select the path that the exception will apply to. The exception will apply to the selected folder and all of its subfolders.

  4. To specify which files to exclude from file screening:

    • Under File groups, select each file group that you want to exclude from file screening. (To select the check box for the file group, double-click the file group label.)

    • If you want to view the file types that a file group includes and excludes, click the file group label, and click Edit.

    • To create a new file group, click Create.

  5. Click OK.

Additional references

  • File Screening Management

  • Define File Groups for Screening


Create a File Screen Template

A file screen template defines a set of file groups to screen, the type of screening to perform (active or passive), and (optionally) a set of notifications that will be generated automatically when a user saves, or attempts to save, an unauthorized file.

File Server Resource Manager can send e-mail messages to administrators or specific users, log an event, execute a command or a script, or generate reports. You can configure more than one type of notification for a file screen event.

By creating file screens exclusively from templates, you can centrally manage your file screens by updating the templates instead of replicating changes in each file screen. This feature simplifies the implementation of storage policy changes by providing one central point where you can make all updates.

Important

To send e-mail notifications and to configure the storage reports with parameters that are appropriate for your server environment, you must first set the general File Server Resource Manager options (for more information, see Setting File Server Resource Manager Options).

To create a file screen template

  1. In File Screening Management, click the File Screen Templates node.

  2. Right-click File Screen Templates, and then click Create File Screen Template (or select Create File Screen Template from the Actions pane). This opens the Create File Screen Template dialog box.

  3. If you want to copy the properties of an existing template to use as a base for your new template, select a template from the Copy properties from template drop-down list. Then click Copy.

    Whether you have chosen to use the properties of an existing template or you are creating a new template, modify or set the following values on the Settings tab:

  4. In the Template name text box, enter a name for the new template.

  5. Under Screening type, click the Active screening or Passive screening option. (Active screening prevents users from saving files that are members of blocked file groups and generates notifications when users try to save unauthorized files. Passive screening sends configured notifications, but it does not prevent users from saving files.)

  6. To specify which file groups to screen:

    Under File groups, select each file group that you want to include. (To select the check box for the file group, double-click the file group label.)

    If you want to view the file types that a file group includes and excludes, click the file group label, and then click Edit. To create a new file group, click Create.

    Additionally, you can configure File Server Resource Manager to generate one or more notifications by setting the following options on the E-mail Message, Event Log, Command, and Report tabs.

  7. To configure e-mail notifications:

    On the E-mail Message tab, set the following options:

    • To notify administrators when a user or application attempts to save an unauthorized file, select the Send e-mail to the following administrators check box, and then enter the names of the administrative accounts that will receive the notifications. Use the format account@domain, and use semicolons to separate multiple accounts.

    • To send e-mail to the user who attempted to save the file, select the Send e-mail to the user who attempted to save an unauthorized file check box.

    • To configure the message, edit the default subject line and message body that are provided. The text that is in brackets inserts variable information about the file screen event that caused the notification. For example, the [Source Io Owner] variable inserts the name of the user who attempted to save an unauthorized file. To insert additional variables in the text, click Insert Variable.

    • To configure additional headers (including From, Cc, Bcc, and Reply-to), click Additional E-mail Headers.

  8. To log an error to the event log when a user tries to save an unauthorized file:

    On the Event Log tab, select the Send warning to event log check box, and edit the default log entry.

  9. To run a command or script when a user tries to save an unauthorized file:

    On the Command tab, select the Run this command or script check box. Then type the command, or click Browse to search for the location where the script is stored. You can also enter command arguments, select a working directory for the command or script, or modify the command security setting.

  10. To generate one or more storage reports when a user tries to save an unauthorized file:

    On the Report tab, select the Generate reports check box, and then select which reports to generate. (You can choose one or more administrative e-mail recipients for the report or e-mail the report to the user who attempted to save the file.)

    The report is saved in the default location for incident reports, which you can modify in the File Server Resource Manager Options dialog box.

  11. After you have selected all the file template properties that you want to use, click OK to save the template.

Additional references

  • File Screening Management

  • Setting File Server Resource Manager Options

  • Edit File Screen Template Properties


Edit File Screen Template Properties

When you make changes to a file screen template, you have the option of extending those changes to file screens that were created with the original file screen template. You can choose to modify only those file screens that match the original template or all file screens that derive from the original template, regardless of any modifications that you made to the file screens since they were created. This feature simplifies the process of updating the properties of file screens by providing one central point where you make all the changes.

Note

If you apply the changes to all file screens that derive from the original template, you will overwrite any custom file screen properties that you created.

To edit file screen template properties

  1. In File Screen Templates, select the template that you want to modify.

  2. Right-click the file screen template and click Edit Template Properties (or in the Actions pane, under Selected File Screen Templates, select Edit Template Properties.) This opens the File Screen Template Properties dialog box.

  3. If you want to copy the properties of another template as a base for your modified template, select a template from the Copy properties from template drop-down list. Then click Copy.

  4. Perform all necessary changes. The settings and notification options are identical to those that are available when you create a file screen template.

  5. When you are finished editing the template properties, click OK. This will open the Update File Screens Derived from Template dialog box.

  6. Select the type of update that you want to apply:

    • If you have file screens that have been modified since they were created using the original template, and you do not want to change them, click Apply template only to derived file screens that match the original template. This option will update only those file screens that have not been edited since they were created with the original template properties.

    • If you want to modify all existing file screens that were created using the original template, click Apply template to all derived file screens.

    • If you want to keep the existing file screens unchanged, click Do not apply template to derived file screens.

  7. Click OK.

Additional references

  • File Screening Management

  • Create a File Screen Template


Storage Reports Management

On the Storage Reports Management node of the File Server Resource Manager MMC snap-in, you can perform the following tasks:

  • Schedule periodic storage reports that allow you to identify trends in disk usage.

  • Monitor attempts to save unauthorized files for all users or a selected group of users.

  • Generate storage reports instantly.

For example, you can:

  • Schedule a report that will run every Sunday at midnight, generating a list that includes the most recently accessed files from the previous two days. With this information, you can monitor weekend storage activity and plan server down time that will have less impact on users who are connecting from home over the weekend.

  • Run a report at any time to identify all duplicate files in a volume on a server so disk space can be quickly reclaimed without losing any data.

  • Run a Files by File Group report to identify how storage resources are segmented across different file groups or run a Files by Owner report to analyze how individual users are using shared storage resources.

This section includes the following topics:

  • Schedule a Set of Reports

  • Generate Reports on Demand

Note

To set e-mail notifications and certain reporting capabilities, you must first configure the general File Server Resource Manager options.

Additional references

  • Setting File Server Resource Manager Options


Schedule a Set of Reports

To generate a set of reports on a regular schedule, you schedule a report task. The report task specifies which reports to generate and what parameters to use; which volumes and folders to report on; how often to generate the reports; and which file formats to save them in.

Scheduled reports are saved in a default location, which you can specify in the File Server Resource Manager Options dialog box. You also have the option of delivering the reports by e-mail to a group of administrators.

Note

To minimize the impact of report processing on performance, generate multiple reports on the same schedule so that the data is only gathered once. To quickly add reports to existing report tasks, you can use the Add or Remove Reports for a Report Task action. This allows you to add or remove reports from multiple report tasks and to edit the report parameters. To change schedules or delivery addresses, you must edit individual report tasks.

To schedule a report task

  1. Click the Storage Reports Management node.

  2. Right-click Storage Reports Management, and then click Schedule a New Report Task (or select Schedule a New Report Task from the Actions pane). This opens the Storage Reports Task Properties dialog box.

  3. To select volumes or folders on which to generate reports:

    • Under Scope, click Add.

    • Browse to the volume or folder on which you want to generate the reports, select it, and then click OK to add the path to the list.

    • Add as many volumes or folders as you want to include in the reports. (To remove a volume or folder, click the path, and then click Remove.)

  4. To specify which reports to generate:

    Under Report data, select each report that you want to include. By default, all reports are generated for a scheduled report task.

    To edit the parameters of a report:

    • Click the report label, and then click Edit Parameters.

    • In the Report Parameters dialog box, edit the parameters as needed, and then click OK.

    To see a list of parameters for all the selected reports, click Review Selected Reports. Then click Close.

  5. To specify the formats for saving the reports:

    Under Report formats, select one or more formats for the scheduled reports. By default, reports are generated in Dynamic HTML (DHTML). You can also select HTML, XML, CSV, and text formats.

    The reports are saved to the default location for scheduled reports.

  6. To deliver copies of the reports to administrators by e-mail:

    On the Delivery tab, select the Send reports to the following administrators check box, and then enter the names of the administrative accounts that will receive reports. Use the format account@domain, and use semicolons to separate multiple accounts.

  7. To schedule the reports:

    On the Schedule tab, click Create Schedule, and then in the Schedule dialog box, click New. This displays a default schedule set for 9:00 A.M. daily, but you can modify the default schedule.

    • To specify a frequency for generating the reports, select an interval from the Schedule Task drop-down list.

      You can schedule daily, weekly, or monthly reports, or generate the reports only once. You can also generate reports at system startup or logon, or when the computer has been idle for a specified time.

    • To provide additional scheduling information for the chosen interval, modify or set the values in the Schedule Task options.

      These options change based on the interval that you choose. For example, for a weekly report, you can specify the number of weeks between reports and on which days of the week to generate reports.

    • To specify the time of day when you want to generate the report, type or select the value in the Start time box.

    • To access additional scheduling options (including a start date and end date for the task), click Advanced.

    • To save the schedule, click OK.

    To create an additional schedule for a task (or modify an existing schedule), on the Schedule tab, click Edit Schedule.

  8. To save the report task, click OK.

The report task is added to the Storage Reports Management node. Tasks are identified by the reports to be generated, the namespace to be reported on, and report schedule.

In addition, you can view the current status of the report (whether or not the report is running), the last run time and the result of that run, and the next scheduled run time.

Additional references

  • Storage Reports Management

  • Setting File Server Resource Manager Options


Generate Reports on Demand

During daily operations, you can use Generate Reports Now to generate one or more reports on demand. With these reports, you can analyze the different aspects of current disk usage on the server. Current data is gathered before the reports are generated.

When you generate reports on demand, the reports are saved in a default location that you specify in the File Server Resource Manager Option dialog box, but no report task is created for later use. You can view the reports immediately after they are generated or e-mail the reports to a group of administrators.

Note

If you choose to open the reports immediately, you must wait while the reports are generated. Processing time varies, depending on the types of reports and the scope of the data.

To generate reports immediately

  1. Click the Storage Reports Management node.

  2. Right-click Storage Reports Management, and then click Generate Reports Now (or select Generate Reports Now from the Actions pane.) This opens the Storage Reports Task Properties dialog box.

  3. To select volumes or folders on which to generate reports:

    • Under Scope, click Add.

    • Browse to the volume or folder on which you want to generate the reports, select it, and then click OK to add the path to the list.

    • Add as many volumes or folders as you want to include in the reports. (To remove a volume or folder, click the path, and then click Remove.)

  4. To specify which reports to generate:

    Under Report data, select each report that you want to include.

    To edit the parameters of a report:

    • Click the report label, and then click Edit Parameters.

    • In the Report Parameters dialog box, edit the parameters as needed, and then click OK.

    To see a list of parameters for all the selected reports, click Review Selected Reports. Then click Close.

  5. To specify the formats for saving the reports:

    Under Report formats, select one or more formats for the scheduled reports. By default, reports are generated in Dynamic HTML (DHTML). You can also select HTML, XML, CSV, and text formats.

    The reports are saved to the default location for on-demand reports.

  6. To deliver copies of the reports to administrators by e-mail:

    On the Delivery tab, select the Send reports to the following administrators check box, and then enter the names of the administrative accounts that will receive reports. Use the format account@domain, and use semicolons to separate multiple accounts.

  7. To gather the data and generate the reports, click OK. This opens the Generate Storage Reports dialog box.

  8. Select how you want to generate the on-demand reports:

    • If you want to view the reports immediately after they are generated, click Wait for reports to be generated and then display them. Each reports opens in its own window.

    • To view the reports later, click Generate reports in the background.

    Both options save and, if you enabled delivery by e-mail, send the reports to administrators in the formats that you selected.

Additional references

  • Storage Reports Management

  • Setting File Server Resource Manager Options


Managing Remote Storage Resources

To manage storage resources on a remote computer, you have two options:

  • Connect to the remote computer from the File Server Resource Manager snap-in (which you can then use to manage the remote resources).

  • Use the command-line tools that are installed with File Server Resource Manager.

Either option allows you to work with quotas, screen files, and generate storage reports on the remote computer's volumes and folders.

For example, you can:

  • Connect to another computer in the domain using the File Server Resource Manager snap-in and review storage utilization on a volume or folder located on the remote computer.

  • Create quota and file screen templates on a local server and then use the command-line tools to import those templates into a file server located in a branch office.

This section includes the following topics:

  • Connect to a Remote Computer

  • Command-Line Tools


Connect to a Remote Computer

To manage storage resources on a remote computer, you can connect to the computer from File Server Resource Manager. While you are connected, File Server Resource Manager allows you to manage quotas, screen files, and generate reports with those remote resources.

Note

File Server Resource Manager can manage resources on either the local computer or a remote computer, but not both at the same time.

To connect to a remote computer from File Server Resource Manager

  1. In Administrative Tools, click File Server Resource Manager.

  2. In the console tree, right-click File Server Resource Manager, and then click Connect to Another Computer.

  3. In the Connect to Another Computer dialog box, click Another computer. Then type the name of the server you want to connect to (or click Browse to search for a remote computer).

  4. Click OK.
Important

The Connect to Another Computer command is available only when you open File Server Resource Manager from Administrative Tools. When you access File Server Resource Manager from Server Manager, the command is not available.

Additional considerations

To manage remote resources with File Server Resource Manager:

  • You must be logged on to the local computer with a domain account that is a member of the Administrators group on the remote computer.

  • The remote computer must be running Windows Server 2008, and File Server Resource Manager must be installed.

  • The Remote File Server Resource Manager Management exception on the remote computer must be enabled. Enable this exception by using Windows Firewall in Control Panel.

Additional references

  • Managing Remote Storage Resources


Command-Line Tools

The following command-line tools are installed with File Server Resource Manager:

  • Dirquota.exe. Use to create and manage quotas, auto apply quotas, and quota templates.

  • Filescrn.exe. Use to create and manage file screens, file screen templates, file screen exceptions, and file groups.

  • Storrept.exe. Use to configure report parameters and generate storage reports on demand. Also use to create report tasks, which you can schedule by using schtasks.exe.

You can use these tools to manage storage resources on a local computer or a remote computer. For more information about these command-line tools, see the following references:

  • Dirquota: http://go.microsoft.com/fwlink/?LinkId=92741

  • Filescrn: http://go.microsoft.com/fwlink/?LinkId=92742

  • Storrept: http://go.microsoft.com/fwlink/?LinkId=92743

Note

To see command syntax and the available parameters for a command, run the command with the /? parameter.

Remote management using the command-line tools

Each tool has several options for performing actions similar to those that are available in the File Server Resource Manager MMC snap-in. To have a command perform an action on a remote computer instead of the local computer, use the /remote:ComputerName parameter.

For example, Dirquota.exe includes a template export parameter to write quota template settings to an XML file, and a template import parameter to import template settings from the XML file. Adding the /remote:ComputerName parameter to the Dirquota.exe template import command will import the templates from the XML file on the local computer to the remote computer.

Note

When you run the command-line tools with the /remote:ComputerName parameter to perform a template export (or import) on a remote computer, the templates are written to (or copied from) an XML file on the local computer.

Additional considerations

To manage remote resources with the command-line tools:

  • You must be logged on with a domain account that is a member of the Administrators group on the local computer and on the remote computer.

  • You must run the command-line tools from an elevated Command Prompt window. To open an elevated Command Prompt window, click Start, point to All Programs, click Accessories, right-click Command Prompt, and then click Run as administrator.

  • The remote computer must be running Windows Server 2008, and File Server Resource Manager must be installed.

  • The Remote File Server Resource Manager Management exception on the remote computer must be enabled. Enable this exception by using Windows Firewall in Control Panel.

Additional references

  • Managing Remote Storage Resources


Troubleshooting File Server Resource Manager

This section lists common issues that you might encounter when using File Server Resource Manager.

What problem are you having?

  • I am not receiving e-mail notifications

  • I am only receiving one e-mail notification, even though the event that caused it happened several times in a row

  • My storage reports keep failing and little or no information is available in the Event Log regarding the source of the failure

  • My File Screening Audit reports do not contain any information

  • The "Used" and "Available" values for some of the quotas I have created do not correspond to the actual "Limit" setting

Note

A good troubleshooting option is to look for event logs that have been generated by File Server Resource Manager. All event log entries for File Server Resource Manager can be found in the Application event log under the source SRMSVC.
I am not receiving e-mail notifications.
  • Cause: The e-mail options have not been configured or have been configured incorrectly.

  • Solution: On the E-mail Notifications tab, in the File Server Resource Manager Options dialog box, verify that the SMTP server and default e-mail recipients have been specified and are valid. Send a test e-mail to confirm that the information is correct and that the SMTP server that is used to send the notifications is working properly. For more information see Configure E-Mail Notifications.

I am only receiving one e-mail notification, even though the event that triggered that notification happened several times in a row.
  • Cause: When a user attempts several times to save a file that is blocked or a file that exceeds a quota threshold and there is an e-mail notification configured for that file screening or quota event, only one e-mail is sent to the administrator over a 60 minute period (by default). This prevents an abundance of redundant messages in the administrator's e-mail account.

  • Solution: On the Notification Limits tab, in the File Server Resource Manager Options dialog box, you can set a time limit for each of the notification types: e-mail, event log, command, and report. Each limit specifies a time period that must pass before another notification of the same type is generated for the same issue. For more information see Configure Notification Limits.

My storage reports keep failing and little or no information is available in the Event Log regarding the source of the failure.
  • Cause: The volume where the reports are being saved may be corrupted.

  • Solution: Run chkdsk on the volume and try generating the reports again.

My File Screening Audit reports do not contain any information.
  • Cause: One or more of the following may be the cause:

    • The auditing database is not configured to record file screening activity.

    • The auditing database is empty (that is, no file screening activity has been recorded).

    • The parameters for the File Screening Audit report are not selecting data from the auditing database.

  • Solution: On the File Screen Audit tab, in the File Server Resource Manager Options dialog box, verify that the Record file screening activity in the auditing database check box is selected.

    • For more information about recording file screening activity, see Configure File Screen Audit.

    • To configure default parameters for the File Screening Audit report, see Configure Storage Reports.

    • To edit report parameters for scheduled report tasks or on-demand reports, see Storage Reports Management.

The "Used" and "Available" values for some of the quotas I have created do not correspond to the actual "Limit" setting.
  • Cause: You may have a nested quota, where the quota of a subfolder derives a more restrictive limit from the quota of its parent folder. For example, you might have a quota limit of 100 megabytes (MB) applied to a parent folder and a quota of 200 MB applied separately to each of its subfolders. If the parent folder has a total of 50 MB of data stored in it (the sum of the data stored in its subfolders), each of the subfolders will list only 50 MB of available space.

  • Solution: Under Quota Management, click Quotas. In the Results pane, select the quota entry that you are troubleshooting. In the Actions pane, click View Quotas Affecting Folder, and then look for quotas that are applied to the parent folders. This will allow you to identify which parent folder quotas have a lower storage limit setting than the quota you have selected.


User Interface: File Server Resource Manager

  • Add/Remove Reports from Report Tasks

  • Create File Screen

  • Create Quota

  • Edit Auto Apply Quota

  • File Group Properties

  • File Screen Exception Properties

  • File Screen Properties

  • File Screen Template Properties

  • Quota Properties

  • Quota Template Properties

  • Save Custom Properties as a Template

  • Storage Reports Task Properties

  • Threshold Properties

  • Update Quotas Derived from Auto Apply Quota

  • Using File Server Resource Manager


Add/Remove Reports from Report Tasks

You can add reports to an existing report task, which can result in significant performance gains because data needs to be generated only once for all the reports. In addition, you can remove reports from report tasks without deleting the tasks themselves.

Settings

Item | Details
Tasks | Lists the report tasks that you can assign reports to.
Assigned reports | Lists the reports that are assigned to the selected report task. To edit the parameters of a report, highlight the report's label to select it, and then click Edit Parameters.
Edit Parameters | Opens the Report Parameters dialog box.
Review Selected Reports | Opens the Review Selected Reports dialog box, which summarizes the parameters and values for the selected reports.

Additional references

  • User Interface: File Server Resource Manager

  • Schedule a Set of Reports

  • Generate Reports on Demand


Create File Screen

You use the Create File Screen dialog box to create new file screens, which allow you to block certain files from being saved on a volume or in a folder tree. A file screen affects all folders in the designated path. You can create a custom file screen or derive a new file screen from an existing template. We recommend deriving file screens from templates. This simplifies the management of your file screens because you can automatically update all file screens that are based on a specific template by editing that template.

Settings

Item | Details
File screen path | Provides a text box for you to type the path for the file screen. (Or click Browse to search for the file screen path.)
Derive properties from this file screen template (recommended) | Specifies that the properties of the new file screen are copied from an existing file screen template. The list box lists the file screen templates that you can derive properties from.
Define custom file screen properties | Specifies that you will define custom properties for the file screen. To set the custom properties, click Custom Properties to open the File Screen Properties dialog box.
Summary of file screen properties | Lists a summary of properties for this file screen.
Create | Completes the file screen creation process.

Additional references

  • User Interface: File Server Resource Manager

  • Create a File Screen

  • Create a File Screen Exception

  • Define File Groups for Screening


Create Quota

You use the Create Quota dialog box to create new quotas, which allow you to set a limit on the space that is allowed for a volume or folder. You can create a custom quota or derive a new quota from an existing template.

We recommend deriving quotas from templates. This simplifies the management of quotas because you can automatically update all quotas that are based on a specific template by editing that template.

The quota that you create can be an auto apply quota. With an auto apply quota, you assign a quota template to a parent volume or folder. Quotas based on that template are then automatically generated and applied to each of the existing subfolders and to any subfolders created in the future.

Settings

Item | Details
Quota path | Provides a text box for you to type the quota path. (Or click Browse to browse for the quota path.)
Create quota on path | Specifies that the quota be created on the path of the volume or folder.
Auto apply template and create quotas on existing and new subfolders | Specifies that quotas that are based on a template will be automatically generated and applied to existing and new subfolders on the path of the parent volume or folder.
Derive properties from this quota template (recommended) | Specifies that the properties of the new quota are copied from an existing quota template. The list box lists the quota templates that you can derive properties from.
Define custom quota properties | Specifies that you will define custom properties for the quota. To set the custom properties, click Custom Properties to open the Quota Properties dialog box.
Summary of quota properties | Lists a summary of properties for this quota.
Create | Completes the quota creation process.

Additional references

  • User Interface: File Server Resource Manager

  • Create a Quota

  • Create an Auto Apply Quota

  • Create a Quota Template


Edit Auto Apply Quota

Auto apply quotas allow you to assign a quota template to a volume or folder. Quotas that are based on the template are automatically created for existing subfolders and future subfolders. You can view or edit the properties of an auto apply quota with the Edit Auto Apply Quota dialog box.

Settings

Item | Details
Auto apply quota path | Displays the parent volume or folder for this auto apply quota.
Derive properties from this quota template | Specifies the existing quota template that this auto apply quota is based on. The list box lists the quota templates that you can derive properties from.
Summary of auto apply quota properties | Lists a summary of properties for this auto apply quota.

Additional references

  • User Interface: File Server Resource Manager

  • Create an Auto Apply Quota

  • Edit Auto Apply Quota Properties

  • Edit Quota Template Properties


File Group Properties

A file group defines a namespace for a file screen, file screen exception, or Files by File Group storage report. It consists of a set of file name patterns that you designate to either include in or exclude from the group.

Settings

Item | Details
File group name | Provides a text box for you to type the file group name. Every file group must have a file group name.
Files to include | Specifies a set of files to include in the file group. To add files, type a file name pattern, and then click Add. To remove files, select a file name pattern from the list box, and then click Remove.
Files to exclude | Specifies a set of files to exclude from the file group. To add files, type a file name pattern, and then click Add. To remove files, select a file name pattern from the list box, and then click Remove.

Additional references

  • User Interface: File Server Resource Manager

  • Define File Groups for Screening

  • Create a File Screen Exception

  • Create a File Screen

  • Create a File Screen Template

  • Storage Reports Management


File Screen Exception Properties

Occasionally, you need to allow exceptions to file screening. For example, you might want to block video files from the file server, but you need to allow your training group to save video files for their computer-based training. To allow files that other file screens are blocking, create a file screen exception.

Note that the exception does not apply to a specific file screen. It overrides file screening rules that are derived from a parent folder.

Settings

Item | Details
Exception path | Provides a text box for you to type the path for the file screen exception. (Or click Browse to search for the file screen exception path.)
Select file groups to exclude from screening | Lists the file groups that you can exclude from screening.
Create | Opens the Create File Group Properties dialog box, which enables you to create a new file group.
Edit | Opens the File Group Properties dialog box and displays the properties of the selected file group.

Additional references

  • User Interface: File Server Resource Manager

  • Create a File Screen

  • Create a File Screen Exception

  • Define File Groups for Screening


File Screen Properties

You can view or edit the properties of a file screen in the File Screen Properties dialog box. File screens allow you to block certain files from being saved on a volume or in a folder tree. A file screen affects all folders in the designated path. You can either create a custom file screen or derive a new file screen from an existing template. This is recommended, because this simplifies the management of file screens—you can automatically update all file screens that are based on a specific template by editing that template.

  • Settings tab

  • E-mail Message tab

  • Event Log tab

  • Command tab

  • Report tab

Settings tab

Item | Details
Copy properties from template (optional) | Specifies that the properties of the file screen are copied from an existing file screen template selected from the list box. Click Copy to copy all properties from the selected file screen template.
File screen path | Displays the path to the file screen.
Active screening | Specifies that users will not be able to save unauthorized files.
Passive screening | Specifies that users will be able to save unauthorized files, but configured notifications will be generated when they do so.
Select file groups to block | Lists the available file groups that you can select to block.
Create | Opens the Create File Group Properties dialog box, which enables you to create a new file group.
Edit | Opens the File Group Properties dialog box and displays the properties of the selected file group.

E-mail Message tab

Item | Details
Send e-mail to the following administrators | Specifies whether to send e-mail when a user tries to save an unauthorized file. Enter the e-mail addresses of the administrators who should receive the e-mail notifications.
Send e-mail to the user who attempted to save an unauthorized file | Specifies whether to send e-mail to the account that the user was logged in to at the time of the attempted file save.
Subject | Provides a text box for you to type the subject of the e-mail that will be automatically sent.
Message body | Provides a text box for you to type the message body of the e-mail that will be automatically sent.
Select variable to insert in your text | Lists the available variables that you can insert into the subject or message.
Insert Variable | Inserts the selected variable in the subject or message at the cursor.
Additional E-mail Headers | Enables you to enter additional e-mail addresses and other e-mail options.

Event Log tab

Item | Details
Send warning to event log | Specifies whether to send a warning to the event log when a user tries to save an unauthorized file.
Log entry | Provides a text box for you to type the text of the event log entry.
Select variable to insert in your text | Lists the available variables that you can insert into the event log text.
Insert Variable | Inserts the displayed variable in the event log text at the cursor.

Command tab

Item | Details
Run this command or script | Specifies whether to run a command (or script) when a user tries to save an unauthorized file. Type the path of the command (or click Browse to search for the path).
Command settings | Provides a text box for you to type the arguments for the command, if required. Command arguments may include variables as described for text boxes on the E-mail Message tab and Event Log tab.
Working directory | Opens the Command Working Directory dialog box, which enables you to specify the directory where the command should run.
Command security | Specifies the security level at which to run the command.

Report tab

Item | Details
Generate reports | Specifies whether to generate reports when a user tries to save an unauthorized file.
Select reports to generate | Lists the available reports to generate.
Review Selected Reports | Opens the Review Selected Reports dialog box, which summarizes the parameters and values for the selected reports.
Send e-mail to the following administrators | Specifies whether to send reports through e-mail when a user tries to save an unauthorized file. Enter the e-mail addresses of the administrators who should receive the reports.
Send reports to the user who attempted to save an unauthorized file | Specifies whether to send reports through e-mail to the account that the user was logged in to when the file save was attempted.

Additional references

  • User Interface: File Server Resource Manager

  • Create a File Screen

  • Create a File Screen Exception

  • Define File Groups for Screening


File Screen Template Properties

A file screen template defines a set of file groups to screen, the type of screening to perform (active or passive), and (optionally) a set of notifications that will be generated when a user saves, or attempts to save, an unauthorized file. If you base your file screens on a template, you can automatically update all file screens that are based on a specific template by editing that template.

  • Settings tab

  • E-mail Message tab

  • Event Log tab

  • Command tab

  • Report tab

Settings tab

Item | Details
Template name | Provides a text box for you to type the template name.
Active screening | Specifies that users will not be able to save unauthorized files.
Passive screening | Specifies that users will be able to save unauthorized files, but configured notifications will be generated when they do so.
Select file groups to block | Lists the available file groups that you can select to block.
Create | Opens the Create File Group Properties dialog box, which enables you to create a new file group.
Edit | Opens the File Group Properties dialog box and displays the properties of the selected file group.

E-mail Message tab

Item | Details
Send e-mail to the following administrators | Specifies whether to send e-mail when a user tries to save an unauthorized file. Enter the e-mail addresses of the administrators who should receive e-mail notifications.
Send e-mail to the user who attempted to save an unauthorized file | Specifies whether to send e-mail to the account that the user was logged in to at the time of the attempted file save.
Subject | Provides a text box for you to type the subject of the e-mail that is automatically sent.
Message body | Provides a text box for you to type the message body of the e-mail that is automatically sent.
Select variable to insert in your text | Lists the available variables that you can insert into the subject or message.
Insert Variable | Inserts the displayed variable in the subject or message at the cursor.
Additional E-mail Headers | Enables you to enter additional e-mail addresses and other e-mail options.

Event Log tab

Item | Details
Send warning to event log | Specifies whether to send a warning to the event log when a user tries to save an unauthorized file.
Log entry | Provides a text box for you to type the text of the event log entry.
Select variable to insert in your text | Lists the available variables that you can insert into the event log text.
Insert Variable | Inserts the displayed variable in the event log text at the cursor.

Command tab

Item | Details
Run this command or script | Specifies whether to run a command (or script) when a user tries to save an unauthorized file. Type the path of the command or script (or click Browse to search for the path).
Command arguments | Provides a text box for you to type the arguments for the command, if required. Command arguments may include variables as described for text boxes on the E-mail Message tab and Event Log tab.
Working directory | Opens the Command Working Directory dialog box, which enables you to specify the directory where the command should run.
Command security | Specifies the security level at which to run the command.

Report tab

Item | Details
Generate reports | Specifies whether to generate reports when a user tries to save an unauthorized file.
Select reports to generate | Lists the available reports to generate.
Review Selected Reports | Opens the Review Selected Reports dialog box, which summarizes the parameters and values for the selected reports.
Send e-mail to the following administrators | Specifies whether to send reports through e-mail a user tries to save an unauthorized file. Enter the e-mail addresses of the administrators who should receive the reports.
Send reports to the user who attempted to save an unauthorized file | Specifies whether to send reports through e-mail to the account that the user was logged in to when the file save was attempted.

Additional references

  • User Interface: File Server Resource Manager

  • Create a File Screen

  • Create a File Screen Exception

  • Define File Groups for Screening


Quota Properties

Quotas let you limit the space allowed for a volume or folder and generate notifications when the quota limits are approached or exceeded. You can view or edit the properties of a quota in the Quota Properties dialog box.

Settings

Item | Details
Copy properties from quota template (optional) | Specifies that the properties of the quota are copied from an existing quota template selected from the list box. Click Copy to copy all properties from the selected quota template.
Quota path | Displays the quota path.
Label (optional) | Provides a text box for you to type the quota label.
Limit | Provides a text box for you to type the size of the quota. The list box lists available units that you can select for the quota (KB, MB, GB, TB).
Hard quota | Specifies that users will not be allowed to exceed the quota limit.
Soft quota | Specifies that users will be allowed to exceed the quota limit, but configured notifications will be generated when they do.
Notification thresholds | Summarizes notifications that will be generated when usage reaches predefined levels.
Add | Opens the Add Threshold dialog box to configure a new notification threshold.
Edit | Opens the Threshold Properties dialog box and displays the properties of the selected notification threshold.
Remove | Removes the selected notification threshold.
Disable quota | Specifies that the quota is not enforced and notifications are not generated. Clear the check box to enable the quota.

Additional references

  • User Interface: File Server Resource Manager

  • Threshold Properties


Quota Template Properties

A quota template defines a space limit, the type of quota (hard or soft), and (optionally) a set of notifications that will be generated automatically when quota usage reaches defined threshold levels. If you base your quotas on a template, you can automatically update all quotas that are based on a specific template by editing that template.

Settings

Item | Details
Copy properties from quota template (optional) | Specifies that the properties of the quota template are copied from an existing quota template that is selected from the list box. Click Copy to copy all properties from the selected quota template.
Template Name | Provides a text box for you to type the quota template name.
Label (optional) | Provides a text box for you to type a quota label that will be associated with any quotas derived from the template.
Limit | Provides a text box for you to type the size of the quota. The list box lists available units that you can select for the quota (KB, MB, GB, TB).
Hard quota | Specifies that users will not be allowed to exceed the quota limit.
Soft quota | Specifies that users will be allowed to exceed the quota limit, but configured notifications will be generated when they do.
Notification thresholds | Summarizes notifications that will be generated when usage reaches predefined levels.
Add | Opens the Add Threshold dialog box to configure a new notification threshold.
Edit | Opens the Threshold Properties dialog box and displays the properties of the selected notification threshold.
Remove | Removes the selected notification threshold.

Additional references

  • User Interface: File Server Resource Manager

  • Create a Quota Template

  • Edit Quota Template Properties

  • Threshold Properties


Save Custom Properties as a Template

When you create a quota or a file screen with custom properties, you have the option of saving the custom properties as a template. Saving a template allows you to reuse the custom properties when you create future quotas or file screens, and it provides a central point for maintenance of the quota or file screen just created.

Settings

Item | Details
Save the custom properties as a template | Creates a new template and then applies the template to the quota or file screen that you just created. Enter a name in the Template name text box.
Save the custom properties without creating a template | Creates only the individual quota or file screen with custom properties.

Additional references

  • User Interface: File Server Resource Manager

  • Create a Quota

  • Create a File Screen


Storage Reports Task Properties

To generate a set of reports on a regular schedule, you schedule a report task. You use the Storage Reports Task Properties dialog box to specify which reports to generate and what parameters to use, which volumes and folders to report on, how often to generate the reports, which file formats to save them in, and whether to deliver the reports by e-mail.

You can also generate one or more storage reports on demand by using the Generate Reports Now action. You use the Storage Reports Task Properties dialog box to select and configure report settings and delivery options for on-demand reports.

Note

Scheduling options on the Schedule tab are not available for on-demand reports.

  • Settings tab

  • Delivery tab

  • Schedule tab

Settings tab

Item | Details
Select volumes and folders to report on | Lists the volumes or folders that define the scope of the report task. Click Add to add a volume or folder or Remove to remove one.
Select reports to generate | Lists the available reports to generate.
Edit Parameters | Opens the Report Parameters dialog box, which you can use to select report parameters.
Review Selected Reports | Opens the Review Selected Reports dialog box, which summarizes the parameters and values for the selected reports.
Report formats | Specifies one or more output formats for the selected reports.

Delivery tab

Item | Details
Send reports to the following administrators | Specifies whether to send reports through e-mail after they are generated. Enter the e-mail addresses of the administrators who should receive the reports.

Schedule tab

Item | Details
Reports are scheduled for the following times | Summarizes the times that the report task is scheduled to run. To create a new schedule, click Create Schedule, which opens the Schedule dialog box. To edit a schedule, click Edit Schedule.

Additional references

  • User Interface: File Server Resource Manager

  • Schedule a Set of Reports

  • Generate Reports on Demand


Threshold Properties

Notification thresholds specify notifications that are generated automatically when quota usage reaches defined levels. File Server Resource Manager can send e-mail messages to administrators or specific users, log an event, execute a command or a script, or generate reports. By default, no notifications are generated.

  • E-mail Message tab

  • Event Log tab

  • Command tab

  • Report tab

E-mail Message tab

Item | Details
Generate notifications when usage reaches (%) | Provides a text box for you to enter the percentage of quota usage for the volume or folder.
Send e-mail to the following administrators | Specifies whether to send e-mail when the threshold is reached. Enter the e-mail addresses of the administrators who should receive the e-mail notifications.
Send e-mail to the user who exceeded the threshold | Specifies whether to send e-mail to the account that the user was logged in to at the time the threshold was reached.
Subject | Provides a text box for you to write the subject of the e-mail that will be automatically sent.
Message body | Provides a text box for you to write the message of the e-mail that will be automatically sent.
Select variable to insert in your text | Lists the available variables that you can insert into either the subject or message.
Insert Variable | Inserts the selected variable in the subject or message at the cursor.
Additional E-mail Headers | Enables you to enter additional e-mail addresses and other e-mail options.

Event Log tab

Item | Details
Send warning to event log | Specifies whether to send a warning to the event log when the threshold is reached.
Log entry | Provides a text box for you to type the text of the event log entry.
Select variable to insert in your text | Lists the available variables that you can insert into the event log text.
Insert Variable | Inserts the displayed variable in the event log text at the cursor.

Command tab

Item | Details
Run this command or script | Specifies whether to run a command (or script) when the threshold is reached. Type the path of the command (or click Browse to search for the path).
Command arguments | Provides a text box for you to type the arguments for the command, if required. Command arguments may include variables as described for text boxes on the E-mail Message tab and Event Log tab.
Working directory | Opens the Command Working Directory dialog box, which enables you to specify the directory in which the command should run.
Command security | Specifies the security level at which to run the command.

Report tab

Item | Details
Generate reports | Specifies whether to generate reports when the threshold is reached.
Select reports to generate | Lists the available reports to generate.
Review Selected Reports | Opens the Review Selected Reports dialog box, which summarizes the parameters and values for the selected reports.
Send reports to the following administrators | Specifies whether to send reports through e-mail when the threshold is reached. Enter the e-mail addresses of the administrators who should receive the reports.
Send reports to the user who exceeded the threshold | Specifies whether to send reports through e-mail to the account that the user was logged in to at the time the threshold was reached.

Additional references

  • User Interface: File Server Resource Manager

  • Create a Quota

  • Configure E-Mail Notifications

  • Create a Quota Template


Update Quotas Derived from Auto Apply Quota

When editing the properties of an auto apply quota, you have the option of extending those changes to some, all, or none of the existing quotas in the auto apply quota path. Regardless of which option you choose, your modified auto apply quota applies to future subfolders that are created in the auto apply quota path.

Settings

Item | Details
Apply auto apply quota only to derived quotas that match the original auto apply quota | Updates only those quotas in the auto apply quota path that have not been edited and maintain the original auto apply quota properties.
Apply auto apply quota to all derived quotas | Updates all existing quotas in the auto apply quota path.
Do not apply auto apply quota to derived quotas | Keeps the existing quotas unchanged but makes the modified auto apply quota effective for new subfolders in the auto apply quota path.

Additional references

  • User Interface: File Server Resource Manager

  • Edit Auto Apply Quota Properties


Using File Server Resource Manager

There are several navigational options in the File Server Resource Manager snap-in. The following tables detail the navigational options in the File Server Resource Manager nodes, which include:

  • Quotas

  • Quota Templates

  • File Screens

  • File Screen Templates

  • File Groups

Quotas

Item | Details
Filter | Opens the Quota Filter dialog box, where you can select options to limit the display of quotas in the Results pane. To restore the complete list of quota types and paths: in the Quota Filter dialog box, select All.
Create Quota | Opens the Create Quota dialog box. For more information about creating quotas, see Create a Quota.
Refresh | Refreshes the console details.
Create Template from Quota | Opens the Create Quota Template dialog box with the properties of the selected quota. For more information about creating quota templates, see Create a Quota Template.
View Quotas Affecting Folder | Displays only those quotas that affect the same folder as the selected quota.
Edit Quota Properties | Opens the Quota Properties dialog box for the selected quota. For more information about editing quota properties, see Quota Properties.
Delete Quotas | Prompts you for confirmation that you want to delete the selected quota. If the quota was derived from a template, that template will not be deleted.
Reset Peak Usage | Eliminates the current peak usage figure so that the peak usage recording starts over.
Enable Quotas | Enables the selected quota.
Disable Quotas | Disables the selected quota.

Quota Templates

Item | Details
Create Quota Template | Opens the Create Quota Template dialog box. For more information about creating quota templates, see Create a Quota Template.
Refresh | Refreshes the console details.
Create Quota from Template | Opens a Create Quota dialog box that includes the properties of the selected quota template. For more information about creating quotas, see Create a Quota.
Edit Template Properties | Opens the Quota Template Properties dialog box for the selected quota template. For more information about editing quota template properties, see Edit Quota Template Properties.
Delete Templates | Prompts you for confirmation that you want to delete the selected quota template. If the template was derived from a quota, that quota will not be deleted.

File Screens

Item | Details
Filter | Opens the File Screen Filter dialog box, where you can select options to limit the display of file screens in the Results pane. To restore the complete list of file screen types and paths: in the File Screen Filter dialog box, select All.
Create File Screen | Opens the Create File Screen dialog box. For more information about creating file screens, see Create a File Screen.
Create File Screen Exception | Opens the Create File Screen Exception dialog box. For more information about creating file screen exceptions, see Create a File Screen Exception.
Refresh | Refreshes the console details.
Create a Template from File Screen | Opens a Create File Screen Template dialog box that includes the properties of the selected file screen. For more information about creating file screen templates, see Create a File Screen Template.
Edit File Screen Properties | Opens the File Screen Properties (or File Screen Exception Properties) dialog box for the selected file screen (or file screen exception). For more information, see File Screen Properties and File Screen Exception Properties.
Delete File Screens | Prompts you for confirmation that you want to delete the selected file screen (or file screen exception). If the file screen was derived from a template, that template will not be deleted.

File Screen Templates

Item | Details
Create File Screen Template | Opens the Create File Screen Template dialog box. For more information about creating file screen templates, see Create a File Screen Template.
Refresh | Refreshes the console details.
Create File Screen from Template | Opens a Create File Screen dialog box that includes the properties of the selected file screen template. For more information about creating file screens, see Create a File Screen.
Edit Template Properties | Opens the File Screen Template Properties dialog box for the selected file screen template. For more information about editing file screen template properties, see Edit File Screen Template Properties.
Delete Templates | Prompts you for confirmation that you want to delete the selected file screen template. If the file screen template was derived from a file screen, that file screen will not be deleted.

File Groups

Item | Details
Create File Group | Opens the Create File Group Properties dialog box. For more information about creating file groups, see Define File Groups for Screening.
Refresh | Refreshes the console details.
Edit File Group Properties | Opens the File Group Properties dialog box for the selected file group. For more information about editing file group properties, see Define File Groups for Screening.
Delete File Groups | Prompts you for confirmation that you want to delete the selected file group.

Additional references

  • User Interface: File Server Resource Manager